> ## Documentation Index
> Fetch the complete documentation index at: https://docs.blobhub.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Refresh Token

Exchange a valid refresh token for a new access token.

## **POST** `/auth/core/refresh`

### Request Body

| Parameter       | Type   | Required | Description                |
| :-------------- | :----- | :------- | :------------------------- |
| `refresh_token` | string | Yes      | A valid JWT refresh token. |

### Response

| Parameter      | Type    | Description                                   |
| :------------- | :------ | :-------------------------------------------- |
| `access_token` | string  | New short-lived JWT access token.             |
| `expires_at`   | integer | Timestamp (ms) when the access token expires. |

### Example

<CodeGroup>
  ```json Request theme={null}
  {
    "refresh_token": "eyJhbGciOiJIUzI1Ni..."
  }
  ```

  ```json Response theme={null}
  {
    "access_token": "eyJhbGciOiJIUzI1Ni...",
    "expires_at": 1678900000000
  }
  ```
</CodeGroup>
